Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003389 [JEDI VCL] 00 JVCL Components minor always 2005-12-27 07:10 2006-04-12 01:08
Reporter WBenner View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003389: jvInterpreter finds error
Description In the newest version from 22.12.2005, the interpreter finds errors after compile, if there are identifiers which are not declared in source code. These undeclared identifiers i fill in the the routine getIPValues. The parser should ignore such undeclared identifiers like in the release from april 2005 or there should be an option to suppress error messages.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008532)
outchy (administrator)
2006-02-09 08:34

Could you post the script that causes this errors?
(0008539)
WBenner (reporter)
2006-02-11 07:46

Here is the sample script to reproduce the error:

...
SL:=tStringList(HoleWert('MarkListe'));
For i:=0 to SL.Count - 1 do
 If SL[i] = 'Pos' then
...

The function "Holewert" returns a stringlist and is assigned in IPGetValue. The interpreter shows no error if SL is created via "tStringlist.Create".

In version 3.0 is this code correct executed.
(0008967)
obones (administrator)
2006-04-05 05:49

Please provide a complete script, so that I can test this.
In the meantime, please try with the latest version of the JVCL and let us know how it goes.
(0009060)
WBenner (reporter)
2006-04-10 06:16

It's very difficult to post a sample code. But I have testet the problem with the last release from 10.April and there is all ok!
(0009067)
obones (administrator)
2006-04-12 01:08

Then I'm setting this to resovled. If you have other problems, please create a NEW issue.

- Issue History
Date Modified Username Field Change
2005-12-27 07:10 WBenner New Issue
2006-02-09 08:34 outchy Note Added: 0008532
2006-02-09 08:34 outchy Status new => feedback
2006-02-11 07:46 WBenner Note Added: 0008539
2006-04-05 05:49 obones Note Added: 0008967
2006-04-10 06:16 WBenner Note Added: 0009060
2006-04-12 01:08 obones Status feedback => resolved
2006-04-12 01:08 obones Resolution open => fixed
2006-04-12 01:08 obones Assigned To => obones
2006-04-12 01:08 obones Note Added: 0009067


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker